=== debian/changelog ===
ros-indigo-segbot-sensors (0.3.5-0trusty) trusty; urgency=high



 -- Piyush Khandelwal <piyushk@gmail.com>  Sat, 27 Aug 2016 05:00:00 -0000

ros-indigo-segbot-sensors (0.3.4-0trusty) trusty; urgency=high

  * unit test fixes (#65 <https://github.com/utexas-bwi/segbot/issues/65>)
  * fix roslint errors
  * add missing dependency (#62 <https://github.com/utexas-bwi/segbot/issues/62>)
  * modifications to the battery estimator to accomodate values greater
    than that of which the model was fitted from
  * updated the battery_diagnostics node to use a battery model if one
    exists on the segbot. If so, battery estimation times are added to
    diagnostics, otherwise its business as usual.
  * modified naming system for diagnostic messages. Added python
    dependencies required by the battery_profiler.py
  * segbot_v3: add robot monitor for diagnostics
  * added additional flexability to the battery_diagnostics sendmail
    node that will now allow parameters to be set in the launch file to
    reflect local segbot differences (different threshold levels,
    etc). Appropriate values have been added for the segbot_v3 in its
    launchfile. The segbot_v3 controller now republishes battery
    information onto the topic assumed by the battery diagnostics.
  * updated for hokuyo on segbot v3
  * changed filter in velodyne launch script.
  * added an outlier removal filter for the velodyne.
  * added statistical outlier filter.
  * switch from pointcloud to laserscan in navigation for the velodyne. Introduce the scan shadows filter.
  * added velodyne launch files for version 3
  * Contributors: Jack O'Quin, Maxwell Svetlik, Piyush Khandelwal

 -- Piyush Khandelwal <piyushk@gmail.com>  Mon, 08 Aug 2016 05:00:00 -0000

ros-indigo-segbot-sensors (0.3.3-0trusty) trusty; urgency=high

  * partial fix to #48 <https://github.com/utexas-bwi/segbot/issues/48>.
  * segbot_sensors: lower bettery diagnostics smoothing parameter (#40 <https://github.com/utexas-bwi/segbot/issues/40>)
  * segbot_sensors: set rospy.Publisher queue_size (fixes #38 <https://github.com/utexas-bwi/segbot/issues/38>)
  * updated kinect launch file to work on both hydro and indigo.
  * segbot_sensors: convert to package format two (#35 <https://github.com/utexas-bwi/segbot/issues/35>)
  * segbot_sensors: add missing diagnostics dependencies (#35 <https://github.com/utexas-bwi/segbot/issues/35>)
    add launch check for diagnostics script
  * segbot_sensors: separate basic arduino launch from test scaffolding (#35 <https://github.com/utexas-bwi/segbot/issues/35>)
  * segbot_sensors: use narrower sonar field of view, experimentally measured
  * Contributors: Jack O'Quin, Maxwell Svetlik, Piyush Khandelwal

 -- Piyush Khandelwal <piyushk@gmail.com>  Wed, 05 Aug 2015 05:00:00 -0000

ros-indigo-segbot-sensors (0.3.2-0trusty) trusty; urgency=high



 -- Piyush Khandelwal <piyushk@gmail.com>  Tue, 31 Mar 2015 05:00:00 -0000

ros-indigo-segbot-sensors (0.3.1-0trusty) trusty; urgency=high



 -- Piyush Khandelwal <piyushk@gmail.com>  Tue, 24 Mar 2015 05:00:00 -0000

ros-indigo-segbot-sensors (0.3.0-0trusty) trusty; urgency=high

  * use different list of filters for segbot v1 and segbot v2 due to differences between different laser models.
  * added a launch file for ethernet hokuyo for segbot v2.
  * added some code to process low battery messages. The robots will now attempt to send an email if they're reaching
    low battery levels.
  * big rework of all the arduino code to support the sensors on the new mounting plate.
  * added some diagnostic publications.
  * removed hack in nan_to_inf filter that was setting values to max_range - epsilon.
  * Contributors: Jack O'Quin, Jivko Sinapov, Maxwell Svetlik, Piyush Khandelwal

 -- Piyush Khandelwal <piyushk@gmail.com>  Sat, 14 Mar 2015 05:00:00 -0000

ros-indigo-segbot-sensors (0.2.1-0trusty) trusty; urgency=high

  * fix some problems catkin_lint discovered
  * segbot_sensors: make roslaunch checks complete (#20 <https://github.com/utexas-bwi/segbot/issues/20>)

 -- Piyush Khandelwal <piyushk@gmail.com>  Thu, 24 Apr 2014 05:00:00 -0000

ros-indigo-segbot-sensors (0.2.0-0trusty) trusty; urgency=high

  * Release to Hydro.
  * segbot_sensors: add explicit build dependency on nodelet.
  * segbot_sensors: restore missing build dependencies
    (fixes #25 <https://github.com/utexas-bwi/segbot/issues/25>).
  * Added udev rules for segbot, and updated the kinect laserscan
    configuration.
  * Removed catkin_lint errors.
    Modify parser so a single Arduino message can provide any subset of the sensors.
  * sensor_ranges_driver: get port and baud from ROS parameters
    If port is not a tty, open as a regular file containing test data.
  * segbot_sensors: add explicit message dependency to CMakeLists.txt.
  * segbot_sensors: add no-op ranges to cloud nodelet.
  * sensor_ranges_driver: ignore non-ASCII characters sent from device.
  * sensor_ranges_driver: improve shutdown and error handling.
  * segbot_sensors: use roslint on Python scripts to do PEP8 checking.
  * segbot_sensors: add sensor_ranges_driver for Arduino data.
  * Updated descriptions and licensing information.

 -- Piyush Khandelwal <piyushk@gmail.com>  Thu, 17 Apr 2014 05:00:00 -0000

ros-indigo-segbot-sensors (0.1.9-0trusty) trusty; urgency=high



 -- Piyush Khandelwal <piyushk@gmail.com>  Sun, 15 Dec 2013 06:00:00 -0000

ros-indigo-segbot-sensors (0.1.8-0trusty) trusty; urgency=high

  * add missing segbot_sensors dependency on depthimage_to_laserscan
    (#20 <https://github.com/utexas-bwi/segbot/issues/20>).
  * use ``roslaunch_add_files_check()`` to test that required launch
    file dependencies are declared.
  * fixed a few minor errors found on the real robot
  * added configuration with both the hokuyo and kinect in it
  * preparing to add kinect as well as the hokuyo for navigation
  * change nan to inf filter to handle max_range+ values as well. need to sort this all out in navigation
  * update change history

